Skip to main content
GET
List report runs

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

created_at_after
string<date-time>
created_at_before
string<date-time>
limit
integer

Number of results to return per page.

Required range: 1 <= x <= 500
name
string
page
integer

A page number within the paginated result set.

site_id
string<uuid>[]

Multiple values may be separated by commas.

status
enum<string>[]

Multiple values may be separated by commas.

Available options:
cancellation_requested,
cancelled,
completed,
failed,
partially_failed,
pending,
running,
superseded,
terminated,
timed_out
test_slugs
string[]

Multiple values may be separated by commas.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"